/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Vector;

public class OpenedPaymentListAdapter extends ListAdapter {

	@Override
	public SaveAdapter getCreator() {
		throw new UnsupportedOperationException();
	}

	@Override
	public SaveAdapter getUpdater() {
		throw new UnsupportedOperationException();
	}

	@SuppressWarnings("unchecked")
	@Override
	public Vector load() {

		Vector list = new Vector();

		try {

			list = PaymentController.openedPayments();

		} catch (InternalErrorException e) {
			e.printStackTrace();
		}

		return list;

	}

	public void delete(Serializable id) {
		throw new UnsupportedOperationException();
	}

	public HashMap find(Serializable id) {
		throw new UnsupportedOperationException();
	}

}
